%define _disable_ld_no_undefined 1
%define	name	uptimed
%define	version	0.3.16
%define	release	%mkrel 10

%define	major 0
%define	libname	%mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	A daemon to record and keep track of system uptimes
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Monitoring
URL:		http://podgorny.cz/moin/Uptimed
Source0:	http://podgorny.cz/uptimed/releases/%{name}-%{version}.tar.bz2
Patch0:		uptimed-makefile.patch
Patch1:		uptimed-systemd.patch
Patch2:		uptimed-0.3.16-automake-1.13.patch

%description
Uptimed is an uptime record daemon keeping track of the highest 
uptimes the system ever had. Instead of using a pid file to 
keep sessions apart from each other, it uses the system boot 
time. 

Uptimed has the ability to inform you of records and milestones 
though syslog and e-mail, and comes with a console front end to 
parse the records, which can also easily be used to show your 
records on your Web page.

%package -n %{libname}
Summary:	Generic libraries need by uptimed
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
Generic libraries needed by uptimed.

%package -n %{develname}
Summary:	Generic libraries need by uptimed
Group:		Development/Other
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname %{name} 0 -d

%description -n %{develname}
Development files for uptimed.

%prep
%setup -q
%patch0 -p0 -b .makefile
%patch1 -p1 -b .systemd
%patch2 -p1 -b .automake-1_13

# this was faster, and easier...
touch NEWS

%build
./bootstrap.sh

%configure --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std 

mkdir -p %{buildroot}/var/spool/%{name}
install -m755 etc/uptimed.service -D %{buildroot}%{_unitdir}/%{name}.service
mv %{buildroot}%{_sysconfdir}/uptimed.conf-dist %{buildroot}%{_sysconfdir}/uptimed.conf

%clean
rm -rf %{buildroot}

%post
%_post_service %{name}

%files
%defattr(-,root,root)
%doc AUTHORS CREDITS ChangeLog INSTALL.cgi INSTALL.upgrade README TODO sample-cgi/
%config(noreplace) %{_sysconfdir}/uptimed.conf
%{_unitdir}/%{name}.service
%{_sbindir}/uptimed
%dir /var/spool/uptimed
%{_bindir}/uprecords
%{_mandir}/*/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libuptimed.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libuptimed.so
%{_libdir}/libuptimed.la


%changelog

* Mon Jan 21 2013 colin <colin> 0.3.16-10.mga3
+ Revision: 390453
- Drop sysvinit script and combine systemd unit source with systemd patch.
- Package does not use/ship tmpfiles so do not call it on post-install

* Mon Jan 14 2013 umeabot <umeabot> 0.3.16-9.mga3
+ Revision: 385090
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 0.3.16-8.mga3
+ Revision: 337905
- patch2: fix build with automake 1.13
- systemd units are in _unitdir

* Sun Jul 01 2012 supp <supp> 0.3.16-7.mga3
+ Revision: 266123
- move systemd service to proper place!

* Sun Jul 01 2012 supp <supp> 0.3.16-6.mga3
+ Revision: 266118
- add systemd hook and restore sysv service for compatibility sake

* Sun Jul 01 2012 supp <supp> 0.3.16-5.mga3
+ Revision: 266064
- add actual patch file...
- add systemd service

* Sun Apr 03 2011 supp <supp> 0.3.16-4.mga2
+ Revision: 80223
- really fix missing spool directory issue...

* Sat Apr 02 2011 supp <supp> 0.3.16-3.mga1
+ Revision: 79881
- add LD macro...
- fix missing spool directory...

* Mon Mar 28 2011 supp <supp> 0.3.16-2.mga1
+ Revision: 78208
- imported package uptimed

